
/**************************************************
显隐控制
{
	Menu:'',
	Cont:''
	Time:200
}
**************************************************/
function ShowOrHide(config){
	//_this = this;
	this.currentIndex=0,
	this.isShowM = 0,
	this.isShowC = 0,
	this.isOther = 0,

	this.Init = function()
	{
	
		_this = this;		
		if(!config) return ;
		if(!config.Menu) return ;
		if(!config.Cont) return ;
		if(!config.Time) config.Time=200;
	
		jQuery(config.Menu).mousemove(function()
		{
		
			jQuery(this).attr("state",1);
			_this.getIndex(this);
			_this.ShowAndHide(0,1,jQuery(this), jQuery(jQuery(config.Cont)[_this.currentIndex]));
		});
		
		jQuery(config.Menu).mouseout(function()
		{
			jQuery(this).attr("state",0);
			_this.getIndex(this); 
			_this.ShowAndHide(1,-1,jQuery(this), jQuery(jQuery(config.Cont)[_this.currentIndex]));
		});
		
		jQuery(config.Cont).mousemove(function()
		{
			jQuery(this).attr("state",1);
			_this.ShowAndHide(1,1, jQuery(jQuery(config.Menu)[_this.currentIndex]),jQuery(this));
		});
		
		jQuery(config.Cont).mouseout(function(){
			jQuery(this).attr("state",0);
			_this.ShowAndHide(1,-1, jQuery(jQuery(config.Menu)[_this.currentIndex]),jQuery(this));
		});
		
	},
	this.getIndex = function (o)
	{
		var _this = this;
		var list = jQuery(config.Menu);	
		for(var i =0;i<list.length;i++)
		{
			if(list[i]==o) {_this.currentIndex = i;break;}
		}
	},
	this.CheckIsShow = function()
	{
		var _this = this;
		var _oC = jQuery(jQuery(config.Cont)[_this.currentIndex]);
		var n = (_oC.css("display")!="none");
		return n;
	},
	this.ShowAndHide = function(_type,_flag,_oM,_oC)
	{
		var _this = this;
		if(_type==1){window.setTimeout(function(){_this.ShowAndHide(0,_flag,_oM,_oC)},200);}//开始
		else
		{
			if(_flag==-1)
			{
				if(_oC.attr("state")==1 || _oM.attr("state")==1){}
				else
				{
				_oC.attr("state",0);_oM.attr("state",0);_oC.hide("50");
				window.setTimeout(function(){_this.ShowAndHide(0,-1,_oM,_oC)},3000);
				}
			}
			else if(_flag==1)
			{
				if(_oC.attr("state")==1 || _oM.attr("state")==1)
					_oC.show("50");
			}
			else 
			{
				_oC.hide("50");
				_oC.attr("state",0);_oM.attr("state",0);
				
			}
		}
	}
	//this.Init();
}

